WordPress 5.6 может стать проблемой для нормальной работы сайтов

 

Популярное издание Search Online Journal сообщает, что новая версия WordPress под номером 5.6 может негативно повлиять на работу некоторых сайтов. Речь идёт о ряде ошибок из-за удаления некоторых библиотек. Напомним, что предыдущая версия системы, 5.5, обновление которой прошло недавно, уже столкнулась с серией ошибок, из-за которых пострадали миллионы сайтов по всему миру.

Релиз WordPress 5.6 запланирован на декабрь этого года. Её главным отличие от предыдущих версий станет удаление плагина jQuery Migrate Helper - достаточно популярного помощника, который на данный момент используется множеством сайтов. Таким образом, вебмастерам нужно будет решить эту проблему до обновления, иначе они могут столкнуться с серией ошибок, которые негативно повлияют на работу ресурса, и авто накрутка посетителей на сайт станет не такой эффективной.

Причина удаления jQuery Migrate Helper состоит в новой системе модернизации системы через обновление непосредственно кода CMS, а также обновление самой библиотеки jQuery. Таким образом, старую версию Migrate разработчики планируют полностью удалить, что приведёт к неспособности сайтов воспринимать более старые jQuery-скрипты.

Впрочем, не всё так печально, как может показаться на первый взгляд. Чтобы избежать возможных проблем из-за обновлений, достаточно обновить ПО до последней версии jQuery, чтобы использовать новые скрипты. Однако, даже в таком случае остаётся достаточно много старых плагинов, работа которых будет нарушена.

Чтобы узнать, возникнут ли ошибки после релиза WP 5.6, достаточно посмотреть на панель ошибок jQuery Migrate Helper. Если он сигнализирует о ряде проблем, то сайт, скорее всего, столкнётся с ними в самом скором времени, из-за чего заказать трафик на сайт будет тяжелее. Если же их нет, то значит большинство плагинов уже обновили свои библиотеки и будут нормально работать.